Subject: bug#3807: 23.1.50; vc-dir ignores .gitignore

From: Helmut Eller <[email-masked]>
Date: Tue, 14 Jul 2009 23:13:55 +0200

* Dan Nicolaescu [2009-07-14 20:54+0200] writes:

>   > However when I invoke C-x v d on ~/lisp/slime, a buffer
>   > pops up with the first (wrong) line:  VC backend : Git
>   > and lists most of the files from the ~/lisp/slime directory
>   > as "unregistered".  Obviously, I would prefer to use the hg backend
>   > for the ~/lisp/slime directory.
>   > 
>   > On the other hand: if I open a file in ~/lisp/slime the modeline
>   > correctly displays hg and commands like C-x v l or C-x v = correctly 
>   > use the hg backend.
>
> There's a generic workaround for problems like this: use
> C-u C-x v d 
> to start vc-dir, it will prompt for the VC backend to use.

It's kinda inconsistent that vc-find-file-hook and vc-dir choose
different backends, but fair enough, I can live with the prefix arg.

Helmut.